Imports EgtUILib

Public Module LuaMsgManager

   Public Function MessageFromLuaMsg(LuaMsg As String) As String
      ' verifico se inizia con $$
      If Not String.IsNullOrWhiteSpace(LuaMsg) AndAlso LuaMsg.Length >= 2 AndAlso LuaMsg.Substring(0, 2) = "$$" Then
         Dim sMsgArgs() As String = LuaMsg.Substring(2).Split(",")
         Dim nMsg As Integer = -1
         If sMsgArgs.Count > 1 AndAlso Integer.TryParse(sMsgArgs(0), nMsg) AndAlso nMsg > 0 Then
            If sMsgArgs.Count > 1 Then
               Dim sArgs() As String = sMsgArgs.Skip(1).ToArray()
               Dim sMsg As String = String.Format(EgtMsg(65000 + nMsg), sArgs)
               If Not String.IsNullOrWhiteSpace(sMsg) Then
                  Return sMsg
               Else
                  Return EgtMsg(65000 + nMsg)
               End If
            Else
               Return EgtMsg(65000 + nMsg)
            End If
         Else
            Return LuaMsg
         End If
      Else
         Return LuaMsg
      End If
      Return ""
   End Function

End Module
